<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Teknisa\DF\Controllers\TeknisaCrud;


class Dfs37000ProdutosDiferimentoImpostoController extends TeknisaCrud {
    protected $dataSourceName;
    protected $parameterBagColumns = array();

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
       
        $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()));
        $this->dataSourceName = $dataSource;
       
        parent::find($request, $response);
    }

    public function save(DTO\Request $request, DTO\Response $response) {
        $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()) - 14);
        $this->dataSourceName = $dataSource;
        parent::save($request, $response);
    }

    public function delete(DTO\Request $request, DTO\Response $response) {
       
        $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()) - 16);
        $this->dataSourceName = $dataSource;
        parent::delete($request, $response);
    }

}
